Name:           git-remote-bzr
Version:        0.2
Release:        1%{?dist}
BuildArch:      noarch
Summary:        Bazaar wrapper for git
License:        GPLv2+
Group:          Development/Tools
URL:            https://github.com/felipec/git-remote-bzr
Source0:        https://github.com/felipec/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  asciidoc >= 8.4.1
BuildRequires:  python2-devel
Requires:       python
Requires:       git
Requires:       bzr

%description
git-remote-bzr is the semi-official Bazaar bridge from Git project.
Once installed, it allows you to clone, fetch and push to and from Bazaar
repositories as if they were Git ones.

%prep
%setup -q
sed -i -e "1 s|^#!.*|#!%{__python2}|" git-remote-bzr
sed -i -e 's|\tinstall|\tinstall -p|' Makefile

%build
make doc

%check
make test

%install
export HOME=%{_prefix}
export DESTDIR=%{buildroot}
make install
make install-doc

%files
%doc LICENSE
%{_bindir}/git-remote-bzr
%{_mandir}/man1/*

%changelog
* Fri Jun 20 2014 Ondrej Oprala <ooprala@redhat.com> - 0.2-1
- initial git-remote-bzr spec file
